package com.goafanti.user.bo;

import javax.validation.constraints.Size;

import com.goafanti.common.constant.ErrorConstants;

public class InputUserCareer {
	@Size(min = 0, max = 36, message = "{" + ErrorConstants.PARAM_SIZE_ERROR + "}")
	private String	id;

	@Size(min = 0, max = 36, message = "{" + ErrorConstants.PARAM_SIZE_ERROR + "}")
	private String	uid;

	@Size(min = 0, max = 255, message = "{" + ErrorConstants.PARAM_SIZE_ERROR + "}")
	private String	engagedField;

	@Size(min = 0, max = 3, message = "{" + ErrorConstants.PARAM_SIZE_ERROR + "}")
	private String	workingAge;

	@Size(min = 0, max = 45, message = "{" + ErrorConstants.PARAM_SIZE_ERROR + "}")
	private String	professionalTitle;

	@Size(min = 0, max = 6, message = "{" + ErrorConstants.PARAM_SIZE_ERROR + "}")
	private String	professionalTitleGettime;

	@Size(min = 0, max = 255, message = "{" + ErrorConstants.PARAM_SIZE_ERROR + "}")
	private String	professionalCertificateUrl;

	@Size(min = 0, max = 45, message = "{" + ErrorConstants.PARAM_SIZE_ERROR + "}")
	private String	qualification;

	@Size(min = 0, max = 6, message = "{" + ErrorConstants.PARAM_SIZE_ERROR + "}")
	private String	qualificationGettime;

	@Size(min = 0, max = 255, message = "{" + ErrorConstants.PARAM_SIZE_ERROR + "}")
	private String	qualificationCertificateUrl;

	@Size(min = 0, max = 32, message = "{" + ErrorConstants.PARAM_SIZE_ERROR + "}")
	private String	workUnit;

	@Size(min = 0, max = 16, message = "{" + ErrorConstants.PARAM_SIZE_ERROR + "}")
	private String	position;

	@Size(min = 0, max = 1000, message = "{" + ErrorConstants.PARAM_SIZE_ERROR + "}")
	private String	experiences;

	@Size(min = 0, max = 1000, message = "{" + ErrorConstants.PARAM_SIZE_ERROR + "}")
	private String	achievement;

	public String getId() {
		return id;
	}

	public void setId(String id) {
		this.id = id;
	}

	public String getUid() {
		return uid;
	}

	public void setUid(String uid) {
		this.uid = uid;
	}

	public String getEngagedField() {
		return engagedField;
	}

	public void setEngagedField(String engagedField) {
		this.engagedField = engagedField;
	}

	public String getWorkingAge() {
		return workingAge;
	}

	public void setWorkingAge(String workingAge) {
		this.workingAge = workingAge;
	}

	public String getProfessionalTitle() {
		return professionalTitle;
	}

	public void setProfessionalTitle(String professionalTitle) {
		this.professionalTitle = professionalTitle;
	}

	public String getProfessionalTitleGettime() {
		return professionalTitleGettime;
	}

	public void setProfessionalTitleGettime(String professionalTitleGettime) {
		this.professionalTitleGettime = professionalTitleGettime;
	}

	public String getProfessionalCertificateUrl() {
		return professionalCertificateUrl;
	}

	public void setProfessionalCertificateUrl(String professionalCertificateUrl) {
		this.professionalCertificateUrl = professionalCertificateUrl;
	}

	public String getQualification() {
		return qualification;
	}

	public void setQualification(String qualification) {
		this.qualification = qualification;
	}

	public String getQualificationGettime() {
		return qualificationGettime;
	}

	public void setQualificationGettime(String qualificationGettime) {
		this.qualificationGettime = qualificationGettime;
	}

	public String getQualificationCertificateUrl() {
		return qualificationCertificateUrl;
	}

	public void setQualificationCertificateUrl(String qualificationCertificateUrl) {
		this.qualificationCertificateUrl = qualificationCertificateUrl;
	}

	public String getWorkUnit() {
		return workUnit;
	}

	public void setWorkUnit(String workUnit) {
		this.workUnit = workUnit;
	}

	public String getPosition() {
		return position;
	}

	public void setPosition(String position) {
		this.position = position;
	}

	public String getExperiences() {
		return experiences;
	}

	public void setExperiences(String experiences) {
		this.experiences = experiences;
	}

	public String getAchievement() {
		return achievement;
	}

	public void setAchievement(String achievement) {
		this.achievement = achievement;
	}

}
